Package org.apache.sysds.runtime.compress.workload

## Class WTreeRoot

- java.lang.Object
- - org.apache.sysds.runtime.compress.workload.AWTreeNode
  - - org.apache.sysds.runtime.compress.workload.WTreeRoot

    public class WTreeRoot
    extends AWTreeNode

The root node of the tree, located at the top of the tree. This represent a single Hop that have a result that is used on subsequent operations.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.compress.workload.AWTreeNode

`AWTreeNode.WTNodeType`

### Constructor Summary

Constructors
`WTreeRoot​(Hop root)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Hop` `getRoot()` Get the Root hop instruction, that is producing a result used in the rest of the tree.
`boolean` `isDecompressing()`
`void` `setDecompressing()`

### Methods inherited from class org.apache.sysds.runtime.compress.workload.AWTreeNode

`addChild, addOp, getChildNodes, getOps, getType, isEmpty, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WTreeRoot

    public WTreeRoot​(Hop root)

### Method Detail

#### getRoot

    public Hop getRoot()

Get the Root hop instruction, that is producing a result used in the rest of the tree.

Returns:
  The root hop

#### isDecompressing

    public boolean isDecompressing()

#### setDecompressing

    public void setDecompressing()